package com.uas.platform.b2b.erp.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Service;

import com.uas.platform.b2b.erp.model.SaleAPBill;
import com.uas.platform.b2b.erp.service.SaleAPBillService;
import com.uas.platform.b2b.model.PurchaseApBill;

@Service
public class SaleAPBillServiceImpl implements SaleAPBillService {

	@Override
	public List<SaleAPBill> convertPurchaseApBills(List<PurchaseApBill> purchaseApBills) {
		List<SaleAPBill> saleAPBills = new ArrayList<SaleAPBill>();
		for(PurchaseApBill purchaseApBill : purchaseApBills) {
			saleAPBills.add(new SaleAPBill(purchaseApBill));
		}
		return saleAPBills;
	}


}
